Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyCode

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyCode

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PyTableCode

public abstract class PyCode
extends PyObject

A super class for all python code implementations.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `co_name`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyCode()`

Method Summary
`PyObject` | `call(PyFrame frame)`
`abstract PyObject` | `call(PyFrame frame, PyObject closure)`
`abstract PyObject` | `call(PyObject[] args, java.lang.String[] keywords, PyObject globals, PyObject[] defaults, PyObject closure)`
`abstract PyObject` | `call(PyObject globals, PyObject[] defaults, PyObject closure)`
`abstract PyObject` | `call(PyObject self, PyObject[] args, java.lang.String[] keywords, PyObject globals, PyObject[] defaults, PyObject closure)`
`abstract PyObject` | `call(PyObject arg1, PyObject globals, PyObject[] defaults, PyObject closure)`
`abstract PyObject` | `call(PyObject arg1, PyObject arg2, PyObject globals, PyObject[] defaults, PyObject closure)`
`abstract PyObject` | `call(PyObject arg1, PyObject arg2, PyObject arg3, PyObject globals, PyObject[] defaults, PyObject closure)`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### co_name

    public java.lang.String co_name

Constructor Detail

### PyCode

    public PyCode()

Method Detail

### call

    public abstract PyObject call(PyFrame frame,
                                  PyObject closure)

### call

    public PyObject call(PyFrame frame)

### call

    public abstract PyObject call(PyObject[] args,
                                  java.lang.String[] keywords,
                                  PyObject globals,
                                  PyObject[] defaults,
                                  PyObject closure)

### call

    public abstract PyObject call(PyObject self,
                                  PyObject[] args,
                                  java.lang.String[] keywords,
                                  PyObject globals,
                                  PyObject[] defaults,
                                  PyObject closure)

### call

    public abstract PyObject call(PyObject globals,
                                  PyObject[] defaults,
                                  PyObject closure)

### call

    public abstract PyObject call(PyObject arg1,
                                  PyObject globals,
                                  PyObject[] defaults,
                                  PyObject closure)

### call

    public abstract PyObject call(PyObject arg1,
                                  PyObject arg2,
                                  PyObject globals,
                                  PyObject[] defaults,
                                  PyObject closure)

### call

    public abstract PyObject call(PyObject arg1,
                                  PyObject arg2,
                                  PyObject arg3,
                                  PyObject globals,
                                  PyObject[] defaults,
                                  PyObject closure)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage